Mailinglist Archive: opensuse-buildservice (248 mails)

< Previous Next >
[opensuse-buildservice] Dependency resolution help
  • From: Robert Schweikert <rschweikert@xxxxxxxxxx>
  • Date: Wed, 14 Oct 2009 10:52:44 -0400
  • Message-id: <4AD5E5BC.3090806@xxxxxxxxxx>
Hi,

I am trying to resolve a dependency problem and could use some help.

I am trying to get home:rjschwei:perl-test-subcalls to build, this package depends on perl-Hook-LexWrap which is being built in home:rjschwei:perl-hook-lexwrap.

I have the following in my spec file (perl-Test-SubCalls.spec)

Requires: perl-Hook-LexWrap >= 0.20

And according to the Tips & Tricks page for the build service I added the following to the meta data:

<path repository="openSUSE_11.1" project="home:rjschwei:perl-hook-lexwrap"/>

and

<path repository="openSUSE_Factory" project="home:rjschwei:perl-hook-lexwrap"/>

for openSUSE 11.1 and openSUSE factory, respectively. Yet when I attempt to build the perl-Test-SubCalls package I still get the following in the build log.

+ perl Makefile.PL
Warning: prerequisite Hook::LexWrap 0.20 not found.

The result is that the tests fail.

What else do I need to do to get the perl-Hook-LexWrap package properly installed into the build environment? Does this also need to show up in BuildRequires?

Thanks,
Robert

--
Robert Schweikert MAY THE SOURCE BE WITH YOU
Software Engineer Consultant LINUX
rschweikert@xxxxxxxxxx 781-464-8147

Novell
Making IT Work As One

--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups